summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorIlya Tumaykin <itumaykin@gmail.com>2018-03-11 17:04:24 +0300
committerMichael Palimaka <kensington@gentoo.org>2018-03-12 10:36:58 +1100
commit82658a076912cb46b285e116e8770dde8cdc3d54 (patch)
treeb0fff7302cce563f5f947415b4ac30c9bfce78cd /net-misc
parentprofiles: add vanilla selinux musl profile for x86 (diff)
downloadgentoo-82658a076912cb46b285e116e8770dde8cdc3d54.tar.gz
gentoo-82658a076912cb46b285e116e8770dde8cdc3d54.tar.bz2
gentoo-82658a076912cb46b285e116e8770dde8cdc3d54.zip
net-misc/eventd: verbump to 0.24.0
Package-Manager: Portage-2.3.24, Repoman-2.3.6
Diffstat (limited to 'net-misc')
-rw-r--r--net-misc/eventd/Manifest1
-rw-r--r--net-misc/eventd/eventd-0.24.0.ebuild125
2 files changed, 126 insertions, 0 deletions
diff --git a/net-misc/eventd/Manifest b/net-misc/eventd/Manifest
index 2e64bedf6ba..aa050fa7b00 100644
--- a/net-misc/eventd/Manifest
+++ b/net-misc/eventd/Manifest
@@ -1,2 +1,3 @@
DIST eventd-0.21.0.tar.xz 392080 BLAKE2B 14d01d46e07e650f392abca53716c1fd5a5d70f05fe006e8a230d38be610e36ee0369742d258b46697376317be4ff6a071166a45528ef2840159a1024057d6cc SHA512 5907d453c493c9f2332df506037027ef7df021b1e29a6773cf8bb5c32c7a301b65ca55d3e3ea40982d3e48b837738c97b5420309a45a550f409d8912636d1dae
DIST eventd-0.23.0_p20171112.tgz 239548 BLAKE2B 690b25f04aec4796117178c0fced9b46aa3b223d8c7c91bdd5dc3623759448c5012985ab5b6de0d24db8e19071f8e66f4f9014f7e7111a65256ad29d593606bb SHA512 1a8409d1292a237db7bc7c10e70b4b1c34e5bd0c7bac1bf144e288dd69718c48041066d190b75ea73670db6031b296d0697b2e41136fbe20878975351c6e8bab
+DIST eventd-0.24.0.tar.xz 184140 BLAKE2B 496b91b595d391ab056298b63a75df7be1a7362b960308d24bd950fefa2084d3b1eb04fb45f25cca11116d922ecb835b3f8545e7b3c5099261bc9872a157098f SHA512 204383140a0b6baf23ba148b525de7bcb90bdedd3be9e6cd7e8ce4222a689cd6cdeae8e29afa612afe3fbf8cec68f9bbdff74e826a04ff892e51d6fd4bba2cf2
diff --git a/net-misc/eventd/eventd-0.24.0.ebuild b/net-misc/eventd/eventd-0.24.0.ebuild
new file mode 100644
index 00000000000..4580e0a092f
--- /dev/null
+++ b/net-misc/eventd/eventd-0.24.0.ebuild
@@ -0,0 +1,125 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit linux-info meson systemd xdg-utils
+
+DESCRIPTION="A small daemon to act on remote or local events"
+HOMEPAGE="https://www.eventd.org/"
+SRC_URI="https://www.eventd.org/download/eventd/${P}.tar.xz"
+
+LICENSE="GPL-3+ LGPL-3+ MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="debug fbcon +introspection ipv6 libcanberra libnotify +notification
+ pulseaudio purple speech systemd test upnp webhook websocket +X zeroconf"
+
+REQUIRED_USE="
+ X? ( notification )
+ fbcon? ( notification )
+ notification? ( || ( X fbcon ) )
+ test? ( websocket )
+"
+
+COMMON_DEPEND="
+ >=dev-libs/glib-2.40:2
+ sys-apps/util-linux
+ x11-libs/libxkbcommon
+ introspection? ( >=dev-libs/gobject-introspection-1.42 )
+ libcanberra? ( media-libs/libcanberra )
+ libnotify? ( x11-libs/gdk-pixbuf:2 )
+ notification? (
+ x11-libs/cairo
+ x11-libs/pango
+ x11-libs/gdk-pixbuf:2
+ X? (
+ x11-libs/cairo[xcb]
+ x11-libs/libxcb:=
+ x11-libs/xcb-util
+ x11-libs/xcb-util-wm
+ )
+ )
+ pulseaudio? (
+ media-libs/libsndfile
+ media-sound/pulseaudio
+ )
+ purple? ( net-im/pidgin )
+ speech? ( >=app-accessibility/speech-dispatcher-0.8.7 )
+ systemd? ( sys-apps/systemd:= )
+ upnp? ( net-libs/gssdp:= )
+ webhook? ( >=net-libs/libsoup-2.42:2.4 )
+ websocket? ( >=net-libs/libsoup-2.50:2.4 )
+ zeroconf? ( net-dns/avahi[dbus] )
+"
+DEPEND="${COMMON_DEPEND}
+ >=dev-util/meson-0.44.1
+ app-text/docbook-xml-dtd:4.5
+ app-text/docbook-xsl-stylesheets
+ dev-libs/libxslt
+ virtual/pkgconfig
+ fbcon? ( virtual/os-headers )
+"
+RDEPEND="${COMMON_DEPEND}
+ net-libs/glib-networking[ssl]
+"
+
+pkg_setup() {
+ if use ipv6; then
+ CONFIG_CHECK=$(usex test 'IPV6' '~IPV6')
+ linux-info_pkg_setup
+ fi
+}
+
+src_prepare() {
+ default_src_prepare
+
+ # Prevent access violations from introspection metadata generation.
+ xdg_environment_reset
+}
+
+eventd_use_enable() {
+ echo "-D${2:-${1}}=$(usex ${1} 'true' 'false')" || die
+}
+
+src_configure() {
+ local emesonargs=(
+ -Dsystemduserunitdir="$(systemd_get_userunitdir)"
+ -Dsystemdsystemunitdir="$(systemd_get_systemunitdir)"
+ -Ddbussessionservicedir="${EPREFIX}/usr/share/dbus-1/services"
+ $(eventd_use_enable websocket)
+ $(eventd_use_enable zeroconf dns-sd)
+ $(eventd_use_enable upnp ssdp)
+ $(eventd_use_enable ipv6)
+ $(eventd_use_enable systemd)
+ $(eventd_use_enable notification notification-daemon)
+ # Wayland plugin requires wayland-wall, which is currently WIP.
+ # See https://github.com/wayland-wall/wayland-wall/issues/1
+ -Dnd-wayland="false"
+ $(eventd_use_enable X nd-xcb)
+ $(eventd_use_enable fbcon nd-fbdev)
+ $(eventd_use_enable purple im)
+ $(eventd_use_enable pulseaudio sound)
+ $(eventd_use_enable speech tts)
+ $(eventd_use_enable webhook)
+ $(eventd_use_enable libnotify)
+ $(eventd_use_enable libcanberra)
+ $(eventd_use_enable introspection gobject-introspection)
+ $(eventd_use_enable debug)
+ )
+ meson_src_configure
+}
+
+src_test() {
+ # Drop LC_NUMERIC=C on next verbump.
+ # https://github.com/sardemff7/eventd/issues/39
+ LC_NUMERIC=C EVENTD_TESTS_TMP_DIR="${T}" meson_src_test
+}
+
+pkg_postinst() {
+ if { use notification || use libnotify; } && ! has_version 'gnome-base/librsvg'; then
+ elog
+ elog "For SVG icons in notifications, please install 'gnome-base/librsvg'."
+ elog
+ fi
+}